if not sjtextension then sjtextension={} end

require "config"
require "SJT_library"
if assembling_machine_2_5 then
	data.raw["technology"]["automation-3"].prerequisites = {"speed-module","automation-2_5"}
end

for k, v in pairs(data.raw.resource) do
	if string.match(v.name, "dirty") then
		-- do nothing
	
	elseif string.match(v.name, "trace")then
		-- do nothing
	
	else
		if v.infinite == true then
			-- do nothing		(infinite resources need no infinite variants)
		else
			data:extend(
			{
			  --two new ores
			  {
				localised_name = "dirty "..v.name,  -- can't use v.localised_name. it appears that this property is not generated at this point of time, it's a pitty
				type = "resource",
				name = "dirty-" .. v.name,
				icon = v.icon,
				flags = v.flags,
				order = v.order,
				minable =
				{
				  hardness = v.minable.hardness,
				  mining_particle = v.mining_particle,
				  mining_time = v.minable.mining_time*1.1,
				  result = "dirty-" .. v.name		-- using v.minable.result yields an error: attempt to concatenate field 'result' (a nil value). strange just using v.minable.result makes the original ore drop
				},
				collision_box = v.collision_box,
				selection_box = v.selection_box,
				stage_counts = v.stage_counts,
				stages =
				{
				  sheet =
				  {
					--filename = "__SJT-Extension__/graphics/entity/ore-3.png",
					filename = v.stages.sheet.filename,
					priority = "extra-high",
					tint = v.stages.sheet.tint,
					width = v.stages.sheet.width,
					height = v.stages.sheet.height,
					frame_count = v.stages.sheet.frame_count,
					variation_count = v.stages.sheet.variation_count				
					-- width = 38,
					-- height = 38,
					-- frame_count = 4,
					-- variation_count = 8
				  }
				},
				map_color = v.map_color
			  },

			  {
				localised_name = "trace "..v.name,  -- can't use v.localised_name. it appears that this property is not generated at this point of time, it's a pitty
				type = "resource",
				name = "trace-" .. v.name,
				icon = v.icon,
				flags = v.flags,
				order = v.order,
				infinite=true,
				minimum=999,
				normal=1000,
				maximum=3000,
				minable =
				{
				  hardness = v.minable.hardness,
				  mining_particle = v.mining_particle,
				  mining_time = v.minable.mining_time*1.2,
				  result = "trace-" .. v.name		-- using v.minable.result yields an error: attempt to concatenate field 'result' (a nil value). strange just using v.minable.result makes the original ore drop
				},
				collision_box = v.collision_box,
				selection_box = v.selection_box,
				stage_counts = v.stage_counts,
				stages =
				{
				  sheet =
				  {
					--filename = "__SJT-Extension__/graphics/entity/ore-3.png",
					filename = v.stages.sheet.filename,
					priority = "extra-high",
					tint = v.stages.sheet.tint,
					width = v.stages.sheet.width,
					height = v.stages.sheet.height,
					frame_count = v.stages.sheet.frame_count,
					variation_count = v.stages.sheet.variation_count				
					-- width = 38,
					-- height = 38,
					-- frame_count = 4,
					-- variation_count = 8
				  }
				},
				map_color = v.map_color
			  },
			  
			  -- new ore-items produced by the new ores
			  {
				localised_name = "dirty "..v.name,
				type = "item",
				name = "dirty-"..v.name,						-- v.minable result produces error as above.
				icon = v.icon,
				flags = {"goes-to-main-inventory"},
				subgroup = "dirty-ores",
				order = "d-b",
				stack_size = 50
			  },
			  {
				localised_name = "trace "..v.name,
				type = "item",
				name = "trace-"..v.name,						-- v.minable result produces error as above.
				icon = v.icon,
				flags = {"goes-to-main-inventory"},
				subgroup = "trace-ores",
				order = "e-c",
				stack_size = 50
			  },
			  
			  -- processing recipies
			  {
				localised_name = "process dirty "..v.name,
				type = "recipe",
				name = "process-dirty-"..v.name,
				enabled = "true",
				category = "dirty-ore-processing",
				energy_required = 1,
				ingredients =
				{
				  {"dirty-"..v.name, 3},
				  {type="fluid", name="water", amount=5}
				},
			    results=
				{
					{name=v.name, amount=2},	--v.minable.result doesn't work here either still don't know why
					{name="stone", amount=1},
					{type="fluid",name="contaminated-water", amount=5}
				},
				icon = v.icon,
				subgroup = "dirty-ores-processing",
				order = "a-a"
			  },
			  {
  				localised_name = "process trace "..v.name,
				type = "recipe",
				name = "process-trace-"..v.name,
				enabled = "true",
				category = "trace-ore-processing",
				energy_required = 1,
				ingredients =
				{
				  {"trace-"..v.name, 2},
				  {type="fluid", name="sulfuric-acid", amount=1},
				  {type="fluid", name="water", amount=4}
				},
			    results=
				{
					{name="dirty-"..v.name, amount=1},	--v.minable.result doesn't work here either still don't know why
					{name="stone", amount=1},
					{type="fluid",name="contaminated-water", amount=5}
				},
				icon = v.icon,
				subgroup = "trace-ores-processing",
				order = "b-b"
			  },
			  
			})
		end
	end
end

-- <kyranf> to understand lua syntax for "pairs" what it does is each iteration,
--  "k" is the "key" which could be a number, or anything actually,
-- used as the unique key for that entry in whatever table you passed into the pairs() section
-- [19:03] <kyranf> the "v" is the contents of that table entry,
-- which could be another table (lol) or a value of some kind